import React, {Component, useState} from 'react';
import {View, Text} from 'react-native';
import CalculatorProfitLossView from './CalculatorProfitLossView';
import EscrowCalculatorView from '../EscrowCalculator/EscrowCalculatorView';
import {RadioBuySale} from '../../../Config/constants';

const CalculatorProfitLoss = (props) => {
    const [dataProduct, setDataProduct] = useState([
        {
            id: 0,
            name: 'Ngô',
        },
        {
            id: 1,
            name: 'Đậu tương',
        }]);
    const [product, setProduct] = useState(null);
    const [transactionType, setTransactionType] = useState(RadioBuySale[0].value);
    const [dataCalculator, setDataCalculator] = useState([
        {
            name: 'Ngô',
            status: 'Mua',
            slot_number: 6,
            profit_loss_usd: 639324325,
            profit_loss_vnd: 1234349235455,
        },
        {
            name: 'Đậu tương',
            status: 'Bán',
            slot_number: 6,
            profit_loss_usd: 639324325,
            profit_loss_vnd: 1234349235455,
        },
        {
            name: 'Bạc',
            status: 'Mua',
            slot_number: 6,
            profit_loss_usd: 639324325,
            profit_loss_vnd: 1234349235455,
        },
    ]);
    const [lotTransactionNUmber, setLotTransactionNUmber] = useState(0);
    const [openPrice, setOpenPrice] = useState(0);
    const [closeStatusPrice, setCloseStatusPrice] = useState(0);

    const onCalculator = () => {

    };

    const onDelete = () => {

    };

    const setLotNUmber = (text) => {
        setLotTransactionNUmber(text.split(',').join(''));
    };

    const setOpenPriceEvent = (text) => {
        setOpenPrice(text.split(',').join(''));
    };
    const setCloseStatusEvent = (text) => {
        setCloseStatusPrice(text.split(',').join(''));
    };

    return (
        <CalculatorProfitLossView
            dataProduct={dataProduct}
            setProduct={setProduct}
            dataCalculator={dataCalculator}
            onCalculator={onCalculator}
            onDelete={onDelete}
            setTransactionType={setTransactionType}
            setLotNUmber={setLotNUmber}
            lotTransactionNUmber={lotTransactionNUmber}
            openPrice={openPrice}
            setOpenPrice={setOpenPriceEvent}
            closeStatusPrice={closeStatusPrice}
            setCloseStatusPrice={setCloseStatusEvent}
        />
    );
};

export default CalculatorProfitLoss;
